/* Copyright (C) Bram Avontuur (bram@avontuur.org) */
/* This file contains common definitions useful to multiple source files in
 * this directory.
 */
/* version.h == avifile's version.h */
#ifndef _VCR_VCR_H
#define _VCR_VCR_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <version.h>
#if (AVIFILE_MAJOR_VERSION == 0) && (AVIFILE_MINOR_VERSION ==  53)
#  error "Avifile 0.53.3 support has been dropped."
#elif !defined(VCR_AVIFILE_0_6)
#  error "Read the README, section 2 & 3 about avifile-0.6 and follow the instructions."
#endif

#ifdef HAVE_SYS_SOUNDCARD_H
#  define _VCR_SOUNDCARD <sys/soundcard.h>
#elif HAVE_MACHINE_SOUNDCARD_H
#  define _VCR_SOUNDCARD <machine/soundcard.h>
#elif HAVE_SOUNDCARD_H
#  define _VCR_SOUNDCARD <soundcard.h>
#endif

#endif /* _VCR_VCR_H */
